futhark-0.25.32: An optimising compiler for a functional, array-oriented language.

Safe Haskell | Safe-Inferred
Language | GHC2021

Futhark.Analysis.Metrics.Type

Description

The data type definition for Futhark.Analysis.Metrics, factored out to simplify the module import hierarchies when working on the test modules.

Synopsis

- newtype AstMetrics = AstMetrics (Map Text Int)

# Documentation

newtype AstMetrics Source #

AST metrics are simply a collection from identifiable node names to the number of times that node appears.

Constructors

AstMetrics (Map Text Int) |

#### Instances

Instances details

Read AstMetrics Source # |
Instance details Defined in Futhark.Analysis.Metrics.Type Methods readsPrec :: Int -> ReadS AstMetrics Source # readList :: ReadS [AstMetrics] Source # readPrec :: ReadPrec AstMetrics Source # readListPrec :: ReadPrec [AstMetrics] Source #
Show AstMetrics Source # |
Instance details Defined in Futhark.Analysis.Metrics.Type Methods showsPrec :: Int -> AstMetrics -> ShowS Source # show :: AstMetrics -> String Source # showList :: [AstMetrics] -> ShowS Source #